VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IAnimationTarget Class Referenceabstract
Version 4.0

Animation target interface. More...

Inheritance diagram for IAnimationTarget:

## Public Member Functions
virtual | ~IAnimationTarget () noexcept=default
virtual void | animationStart (CView *view, IdStringPtr name)=0
| animation starts
virtual void | animationTick (CView *view, IdStringPtr name, float pos)=0
| pos is a normalized value between zero and one
virtual void | animationFinished (CView *view, IdStringPtr name, bool wasCanceled)=0
| animation ended

## Detailed Description

Animation target interface.

## Constructor & Destructor Documentation

virtual ~IAnimationTarget | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual void animationFinished | ( | CView * | view,
|  | IdStringPtr | name,
|  | bool | wasCanceled
| ) |  |
| pure virtual

animation ended

Implemented in ControlValueAnimation, ExchangeViewAnimation, ViewSizeAnimation, and AlphaValueAnimation.

virtual void animationStart | ( | CView * | view,
|  | IdStringPtr | name
| ) |  |
| pure virtual

animation starts

Implemented in ControlValueAnimation, ExchangeViewAnimation, ViewSizeAnimation, and AlphaValueAnimation.

virtual void animationTick | ( | CView * | view,
|  | IdStringPtr | name,
|  | float | pos
| ) |  |
| pure virtual

pos is a normalized value between zero and one

Implemented in ControlValueAnimation, ExchangeViewAnimation, ViewSizeAnimation, and AlphaValueAnimation.

The documentation for this class was generated from the following file:

- ianimationtarget.h